package top.continew.admin.business.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 空投记录
 * </p>
 *
 * @author xudm
 * @since 2024-12-17
 */
@Getter
@Setter
@TableName("b_airdrop_record")
public class AirdropRecord extends Model<AirdropRecord> {

    /**
     * 主键
     */
    @TableField("id")
    private Long id;

    /**
     * 空投目标人
     */
    @TableField("target_user")
    private Long targetUser;

    /**
     * 空投金币数量
     */
    @TableField("gold_coin_num")
    private Integer goldCoinNum;

    /**
     * 空投前金币数量
     */
    @TableField("pre_drop_num")
    private Integer preDropNum;

    /**
     * 空投后金币数量
     */
    @TableField("post_drop_num")
    private Integer postDropNum;

    /**
     * 空投时间
     */
    @TableField("airdrop_time")
    private LocalDateTime airdropTime;

    /**
     * 操作类型【0 新增空投 1 减去空投】
     */
    @TableField("operation_type")
    private Integer operationType;

    /**
     * 创建人
     */
    @TableField("created_by")
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField("created_time")
    private LocalDateTime createdTime;

    @Override
    public Serializable pkVal() {
        return null;
    }
}
