package top.continew.admin.business.model.query;

import cn.hutool.core.date.DatePattern;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class TgUserTeamQuery implements Serializable {

    @Schema(description = "用户id")
    @NotNull(message = "用户id不能为空")
    private Long id;

    @Schema(description = "团队类型")
    @NotNull(message = "团队类型不能为空")
    private String teamType;

    @Schema(description = "用户昵称")
    private String userName;

    @Schema(description = "注册时间", example = "2023-08-08 00:00:00,2023-08-08 23:59:59")
    @DateTimeFormat(pattern = DatePattern.NORM_DATETIME_PATTERN)
    private List<Date> time;

    @Schema(description = "当前页码")
    private int page;

    @Schema(description = "页大小")
    private int size;
}
