package top.continew.admin.business.model.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 金币产出速率升级规则
 * </p>
 *
 * @author xudm
 * @since 2024-12-15
 */
@Data
@Schema(description = "创建或修改推进器参数")
public class CoinSpeedUpgradesRulesReq implements Serializable {

    /**
     * 消耗金币数量
     */
    @Schema(description = "消耗金币数量")
    private Integer consumeGoldCoin;

    /**
     * 消耗真实货币数量
     */
    @Schema(description = "消耗真实货币数量")
    private Integer realMoney;

    /**
     * 数值 每秒产量
     */
    @Schema(description = "数值 每秒产量")
    private String numericalValue;

    /**
     * 等级
     */
    @Schema(description = "等级")
    private Integer level;
}
