package top.continew.admin.business.model.req;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 任务信息表
 * </p>
 *
 * @author xudm
 * @since 2024-12-15
 */
@Data
@Schema(description = "任务信息新增或修改参数")
public class TaskInfoReq implements Serializable {

    @Schema(description = "任务名称")
    private String name;

    @Schema(description = "名称日文")
    private String nameJa;

    @Schema(description = "名称韩文")
    private String nameKo;

    @Schema(description = "名称泰语")
    private String nameTh;

    @Schema(description = "名称越南语")
    private String nameVi;

    @Schema(description = "名称俄语")
    private String nameRu;

    @Schema(description = "名称英文")
    private String nameEn;

    @Schema(description = "名称葡萄牙语")
    private String namePt;

    @Schema(description = "名称波斯语")
    private String nameFa;

    @Schema(description = "名称西班牙语")
    private String nameEs;

    @Schema(description = "任务说明")
    private String instruction;

    @Schema(description = "任务图标")
    private String taskIcon;


    @Schema(description = "任务链接")
    private String taskLink;


    @Schema(description = "任务分类编码")
    private String categoryCode;


    @Schema(description = "1开启0关闭")
    private Integer status;


    @Schema(description = "金币数量")
    private Integer goldCoin;

    @Schema(description = "排序")
    private Integer sortNum;
}
