package top.continew.admin.business.model.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 团队邀请配置
 * </p>
 *
 * @author xudm
 * @since 2024-12-16
 */
@Getter
@Setter
@Schema(description = "团队邀请配置新增或修改参数")
public class TeamInviteConfigReq {

    /**
     * A队抽成比例 百分比 0.01
     */
    @Schema(description = "A队抽成比例", example = "0.02")
    private String teamAScale;

    /**
     * B队抽成比例 百分比 0.01
     */
    @Schema(description = "B队抽成比例", example = "0.01")
    private String teamBScale;

    /**
     * 邀请一人金币奖励
     */
    @Schema(description = "邀请一人金币奖励", example = "1000")
    private Integer inviteOneReward;
}
