package top.continew.admin.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import top.continew.admin.business.model.entity.TgUser;
import top.continew.admin.business.model.query.TgUserQuery;
import top.continew.admin.business.model.query.TgUserTeamQuery;
import top.continew.admin.business.model.req.TgUserReq;
import top.continew.starter.extension.crud.model.resp.BasePageResp;
import top.continew.starter.extension.crud.model.resp.PageResp;

import java.util.List;


/**
 * <p>
 * tg用户 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-14
 */
public interface ITgUserService extends IService<TgUser> {
    /**
     * tg小程序用户登录
     *
     * @param query
     * @return
     */
    PageResp<TgUser> pageQuery(TgUserQuery query);


    void disableTgUserByIds(List<Long> ids);

    /**
     * 查询团队成员列表
     *
     * @return
     */
    BasePageResp<TgUser> getMyTeamUserListByType(TgUserTeamQuery queryVo);

    /**
     * 更新tg用户的信息
     *
     * @param id
     * @param req
     */
    void updateTgUserInfo(Long id, TgUserReq req);
}
